# Method: projects.locations.wasmPlugins.create

- [HTTP request](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins/create#body.request_body)
- [Response body](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins/create#body.response_body)
- [IAM Permissions](https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins/create#body.aspect)

Creates a new `WasmPlugin` resource in a given project and location.

### HTTP request

`POST https://networkservices.googleapis.com/v1/{parent=projects/*/locations/*}/wasmPlugins`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource of the `WasmPlugin` resource. Must be in the format `projects/{project}/locations/global`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `networkservices.wasmPlugins.create` |

### Query parameters

| Parameters ||
|---|---|
| `wasmPluginId` | `string` Required. User-provided ID of the `WasmPlugin` resource to be created. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `wasmPluginId`: - `networkservices.wasmPlugins.create` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/service-extensions/docs/reference/rest/v1/projects.locations.wasmPlugins#WasmPlugin`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/service-extensions/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `networkservices.wasmPlugins.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).